PDA

Vollständige Version anzeigen : gmic für die development version installieren


DanielDD
25.06.2016, 17:49
Hallo Leute,

ich habe versucht, gmic für die aktuelle development version zu installieren
(Windows 10, 64bit). Das Verzeichnis lautet
C:\Users\Danie\AppData\Roaming\GIMP\2.9\plug-ins
Bei der Installation wurden tatsächlich einige Dateien (z.B. gmic_gimp)
dort hineinkopiert. Wenn ich gimp aufrufe, dann erscheint gmic jedoch
nicht unter Filter.

Daniel

ursa major
25.06.2016, 23:08
Ich kenne zwar Windows 10 noch nicht und habe mich auch noch nicht an einer Dev-Version versucht, aber das korrekte Installationsverzeichnis wäre, soweit ich das unter Windows bisher kenne, im GIMP-Installationsverzeichnis: GIMP 2\lib\gimp\2.0\plugins.

Alternativ kannst Du für Plugins, die Du nachinstallierst, auch eigene, neue Ordner erstellen und die dann aus den Einstellungen von GIMP mit GIMP verknüpfen (Menü "Bearbeiten" > "Einstellungen" > in der linken Spalte "Ordner" ausklappen und auf "Plugins" klicken, woraufhin rechts eine Liste der mit GIMP verknüpften Plugin-Verzeichnisse erscheint > im rechten Bereich oben links auf das Symbol der leeren Seite klicken um einen Eintrag hinzuzufügen > oben links auf das Ordnersymbol klicken um ein Browser-Fenster zu öffnen, mit dem Du Deinen selbst erstellten Plugin-Ordner suchst > klicke Dich in diesen Ordner hinein, sodass Du den Inhalt siehst und bestätige zweimal mit "OK". > GIMP neu starten. Letztere Methode hat den Vorteil, dass man nachinstallierte Plugins leichter von der GIMP-Grundausstattung unterscheiden und im Zweifel wieder entfernen kann. Auf diese Weise müsstest Du es für die Dev-Version vielleicht auch nicht nochmal extra installieren.

Edit: Es könnte aber durchaus auch sein, dass G'MIC in der Dev-Version nicht funktioniert. Unter Krita funktioniert es auch nicht richtig, obwohl es da standardmäßig integriert ist.

DanielDD
25.06.2016, 23:20
Ich habe es jetzt herausgefunden. Das Verzeichnis, welches ich angegeben
habe, ist korrekt (für die development-version). In der Konsole konnte ich
nachlesen, dass Gimp versucht hat, das gmic-plugin zu starten, was aber
nicht geklappt hat (Kompatibilitätsprobleme).

Ich habe jetzt die portable Version von partha installiert, da war gmic
sofort verfügbar.

DanielDD

schumaml
26.06.2016, 00:15
In der Konsole konnte ich
nachlesen, dass Gimp versucht hat, das gmic-plugin zu starten, was aber
nicht geklappt hat (Kompatibilitätsprobleme).

Probleme welcher Art?

DanielDD
26.06.2016, 00:24
Kindprozess konnte nicht ausgef³hrt werden (Exec format error)

GIMP-Fehler: Unable to run plug-in "libeay32.dll"
(C:\Users\Danie\AppData\Roaming\GIMP\2.9\plug-ins\libeay32.dll)

Kindprozess konnte nicht ausgef³hrt werden (Exec format error)

GIMP-Fehler: Unable to run plug-in "libcurl-4.dll"
(C:\Users\Danie\AppData\Roaming\GIMP\2.9\plug-ins\libcurl-4.dll)

Kindprozess konnte nicht ausgef³hrt werden (Exec format error)


(gimp-2.9.exe:13852): LibGimpBase-WARNING **: gimp-2.9.exe: gimp_wire_read(): error
GIMP-Fehler: Unable to run plug-in "gmic_film_cluts.gmz"
(C:\Users\Danie\AppData\Roaming\GIMP\2.9\plug-ins\gmic_film_cluts.gmz)

Kindprozess konnte nicht ausgef³hrt werden (Exec format error)


(gimp-2.9.exe:13852): GLib-CRITICAL **: PCRE-Bibliothek wurde ohne UTF8-Unterst³tzung kompiliert

(gimp-2.9.exe:13852): GLib-CRITICAL **: PCRE-Bibliothek wurde ohne Unterst³tzung f³r UTF8-Eigenschaften kompiliert
GIMP-Fehler: Fehler beim Ausf³hren der Prozedur ╗gimp-procedural-db-query½:
PCRE-Bibliothek wurde mit Unterst³tzung f³r nicht-kompatible Optionen kompiliert